{
    "name": "tiki/tiki",
    "description": "Tiki Wiki CMS Groupware",
    "license": "LGPL-2.1-only",
    "homepage": "https://tiki.org",
    "minimum-stability": "RC",
    "_comment": [
        "Yes, that's the only way to do comments",
        "  https://github.com/composer/composer/issues/5364",
        "",
        "In case of a manual update of the dependencies list, please ensure the list stays alphabetically sorted.",
        "",
        "How to update dependencies",
        "  satis and composer.tiki.org",
        "    First, make sure the version you want is covered by ",
        "    doc/devtools/statis.json,  as that's what makes the ",
        "    package available on composer.tiki.org",
        "  check composer.json: ",
        "    composer -d vendor_bundled update --dry-run",
        "  update composer.lock: ",
        "    composer -d vendor_bundled update",
        "  Useful to look at: ",
        "    composer -d vendor_bundled outdated",
        "  This is what setup.sh runs: ",
        "    composer -d vendor_bundled install --prefer-dist #In dev mode",
        "    composer -d vendor_bundled install --prefer-dist --no-dev #In release mode",
        "",
        "DIRECT PHP PACKAGE DEPENDENCIES NOTES:",
        "",
        "  garethp/php-ews: ",
        "    Overrides minimum-stability for this Cypht dependency until it releases a stable version.",
        "  paragonie/sodium_compat: ",
        "    This is https://github.com/paragonie/sodium_compat",
        "    A pure php polyfill for ",
        "    https://www.php.net/manual/en/sodium.installation.php",
        "    Sodium is a core extension since php 7.2",
        "    + we seem to actually check for it in tiki-check.php",
        "    + we have alternate code paths in lib/crypt/cryptlib.php",
        "    Security critical, aparently uninitialised code",
        "    Should probably be removed. benoitg 2023-05-05",
        "",
        "  sentry/sdk",
        "    Provides the Sentry namespace",
        "    Used for our Glitchtip integration to catch PHP errors",
        "    Initialised by lib/setup/errortracking.php when ",
        "    error_tracking_enabled_php is set",
        "",
        "  steverhoades/oauth2-openid-connect-client:",
        "    Provides namespace OpenIDConnectClient",
        "    Used by lib/OpenIdConnectLib.php",
        "  symfony/finder: ",
        "    provides Symfony\\Component\\Finder",
        "    Used by phpunit, but also lib/core/Tiki/Package and lib/setup/theme.php",
        "  symfony/process: ",
        "    provides Symfony\\Component\\Process",
        "    Used by Tiki\\Process, phpunit",
        "  symfony/yaml: ",
        "    provides Symfony\\Component\\Yaml",
        "    Used throughout tiki",
        "",
        "  zf1s/zend-service-akismet:",
        "    Maintained fork of zendframework/zendservice-akismet, ",
        "    which upstream avandonned in 2019.",
        "    Provides ZendService\\Akismet\\Akismet which is only used by lib/comments/commentslib.php.",
        "    A more actively maintained alternative would be ",
        "    https://github.com/gsteel/akismet, but would require code changes",
        "",
        "  pear/xml_rpc: has been replaced by phpxmlrpc/phpxmlrpc.",
        "",
        "NOTABLE TRANSITIVE DEPENDENCIES NOTES:",
        "  Try to document here packages that:",
        "    -  Are here just to lock the version used by another package",
        "    -  Are not here, but are noteworthy when installed transitively:",
        "      - ABANDONNED packages installed transitively",
        "",
        "  php-http/message-factory: ",
        "    ABANDONNED package.",
        "    Required transitively by sentry/sdk",
        "",
        "PACKAGE THAT ONLY PROVIDE JS OR CSS NOTES:",
        "  Typically these are:",
        "    - bower-asset/*",
        "    - npm-asset/*",
        "    - jquery/*",
        "  They are all destined to be installed from npm.  But some will be bundled, some compiled-in, etc.",
        "",
        "  sam152/javascript-equal-height-responsive-rows: ",
        "    Used by pref feature_equal_height_rows_js",
        "    installs as Sam152/Javascript-Equal-Height-Responsive-Rows",
        "    No release in 9 years, does it still work? - benoitg 2023-05-05",
        "",
        "  npm-asset/sentry--browser",
        "    Initialised by lib/setup/tiki-setup.php when ",
        "    error_tracking_enabled_js is set",
        "    Migrating to @sentry/browser and the new build system ",
        "    is possible.  However, it's currently conditionally ",
        "    included in tiki_setup.php, and it depends on several ",
        "    sub-packages.  We can compile into a future general tiki js init",
        "    (but then it's no longer conditionally included, but smaller)",
        "    or we keep the same approach as currently, but that requires",
        "    bundling several more packages @sentry/core, etc. ",
        "",
        "  npm-asset/vue",
        "    This is only the vue 2 support, vue 3 is already installed from",
        "    npm.  This can be removed once wikiplugin-vue is ported and ",
        "    there is a new ui-predicate release ",
        "    https://github.com/FGRibreau/ui-predicate/issues/152",
        "",
        "  symfony/*",
        "    Upgrading:  ",
        "    Rector always has rules to refactors synfony code ",
        "    automatically.  See rector.php",
        "    Symfony does not maintain a master branch.",
        "    However, they do maintain a CHANGELOG.mg  for EACH ",
        "    of their components to see what's changed; ex:",
        "    symfony/routing: https://github.com/symfony/symfony/blob/7.1/src/Symfony/Component/Routing/CHANGELOG.md",
        "    symfony/process: https://github.com/symfony/symfony/blob/7.1/src/Symfony/Component/Process/CHANGELOG.md",
        "",
        "WE DECIDED NOT TO PORT THE JAVASCRIPT BUILD SYSTEM:",
        "  The following libraries have not been ported to the new build system for the following reasons: (for each library, please explains its reasons):",
        "    - 'openannotation/annotator': '>=1.2.10'",
        "       - Reasons: On NPM, the only release version is 1.2.2, please use this commande npm view annotator versions" ,
        "                  With 1.2.2 version, these files annotator-full.min.js and annotator.min.css are missing",
        "                  After running npm install, we get this warning messages :",
        "                      npm warn EBADENGINE Unsupported engine {",
        "                      npm warn EBADENGINE   package: 'annotator@2.0.0-dev.2'",
        "                      npm warn EBADENGINE   required: { node: '>=0.8 <0.12' }",
        "                      npm warn EBADENGINE   current: { node: 'v20.15.0', npm: '10.7.0' }",
        "                      npm warn EBADENGINE } pay attention on this line required: { node: '>=0.8 <0.12' }, It seems required node version is too low",
        "                  Annotator has already been unmaintained for a decade. No alternative has emerged.",
        "                  1.2.10 hasn't been packaged for npm, and there is no one to package it.",
        "       - Some essential links : https://www.npmjs.com/package/annotator and https://github.com/openannotation/annotator",
        "",
        "DEV DEPENDENCIES NOTES:",
        "",
        "  sebastian/diff: ",
        "    provides SebastianBergmann\\Diff\\Differ",
        "    Used by phpunit and console.php index:compare-engines",
        "",
        "  phpunit/phpunit: ",
        "    Temporarily pinned to 10.5.26, because .27 and .28 cause Message:  Schema for PHPUnit index.php is not available errors",
        ""

    ],
    "require": {
        "adodb/adodb-php": "^5.22.4",
        "bacon/bacon-qr-code": "^2.0.0",
        "candy-chat/xmpp-prebind-php": "dev-master",
        "cboden/ratchet": "^0.4",
        "chrome-php/chrome": "^1.12",
        "codercat/jwk-to-pem": "^1.1",
        "composer/semver": "^3.2",
        "cweagans/composer-patches": "^1.7",
        "dragonmantank/cron-expression": "^3.0",
        "elliotjreed/disposable-emails-filter": "~4.0.3",
        "ext-calendar": "*",
        "ext-curl": "*",
        "ext-dom": "*",
        "ext-fileinfo": "*",
        "ext-gd": "*",
        "ext-iconv": "*",
        "ext-intl": "*",
        "ext-json": "*",
        "ext-libxml": "*",
        "ext-openssl": "*",
        "ext-zip": "*",
        "ezyang/htmlpurifier": "^4.8.0",
        "garethp/php-ews": "dev-master@dev",
        "h5p/h5p-core": "^1.24",
        "h5p/h5p-editor": "^1.24",
        "henrique-borba/php-sieve-manager": "^1.0.0",
        "hybridauth/hybridauth": "^3.7",
        "jasig/phpcas": "^1.3",
        "jason-munro/cypht": "dev-master",
        "jquery-plugins/async": "1.0",
        "jquery-plugins/reflection-jquery": "1.1",
        "jquery-plugins/tagcanvas": "2.8",
        "jquery/jquery-sheet": "3.1",
        "jquery/jquery-timepicker-addon": "^1.6.3",
        "kaltura/api-client-library": "^19.4",
        "laminas/laminas-captcha": "^2.9",
        "laminas/laminas-config": "^3.3",
        "laminas/laminas-eventmanager": "^3.2.1",
        "laminas/laminas-feed": "^2.12",
        "laminas/laminas-filter": "^2.9.2",
        "laminas/laminas-http": "^2.15",
        "laminas/laminas-i18n": "^2.10.1",
        "laminas/laminas-ldap": "^2.10.1",
        "laminas/laminas-log": "^2.12",
        "laminas/laminas-mail": "^2.10",
        "laminas/laminas-mime": "^2.7.2",
        "laminas/laminas-oauth": "~2.0",
        "laminas/laminas-recaptcha": "~3.2",
        "laminas/laminas-session": "^2.9.1",
        "laminas/laminas-soap": "^2.8.0",
        "laminas/laminas-tag": "^2.7.1",
        "laminas/laminas-text": "^2.8",
        "laminas/laminas-twitter": "3.7.0",
        "laminas/laminas-uri": "^2.9.1",
        "laminas/laminas-validator": "^2.13",
        "league/commonmark": "^2.3",
        "league/flysystem": "^3.23.0",
        "league/html-to-markdown": "^5.1",
        "league/oauth2-server": "^8.5.4",
        "maestroerror/php-heic-to-jpg": "^1.0.7",
        "manticoresoftware/manticoresearch-php": "^3.0",
        "matthiasmullie/minify": "^1.3.58",
        "mautic/api-library": "~3.0.0",
        "melbahja/seo": "^2.0",
        "meyfa/php-svg": "^0.16",
        "michelf/php-smartypants": "^1.8.1",
        "montefuscolo/xmpp": "dev-php8.1",
        "nicolaskruchten/pivottable": "^2.20.0",
        "nlgen/nlgen": "^0.18",
        "nolimits4web/swiper": "^4.2",
        "npm-asset/boomerangjs": "^1.687",
        "npm-asset/prefixfree": ">=1.0.10",
        "npm-asset/sentry--browser": "^6.0",
        "npm-asset/toast-ui--editor": "^3.2.0",
        "npm-asset/vue": "^2.6",
        "onelogin/php-saml": "^4.0.0",
        "openannotation/annotator": ">=1.2.10",
        "paragonie/sodium_compat": "^1.17",
        "pclzip/pclzip": "^2.8",
        "pear/db": "1.7.13",
        "pear/net_socket": "^1.2",
        "pear/pear": "^1.10",
        "pear/text_wiki_mediawiki": "0.2.0",
        "pear/xml_parser": "^1.3",
        "philippemarcmeyer/fieldslinker": "^1.0.3",
        "phpseclib/phpseclib": "~3.0",
        "phpxmlrpc/phpxmlrpc": "^4.9",
        "pragmarx/google2fa": "^8.0",
        "rambomst/php-bounce-handler": "^1.6",
        "react/child-process": "^0.6.4",
        "ramsey/uuid": "^4.7",
        "ratchet/pawl": "^0.4.1",
        "rmm5t/jquery-timeago": "^1.5",
        "robicch/jquery-gantt": "^6.3",
        "rubix/extras": "2.0.0-beta",
        "rubix/ml": "^2.1",
        "sabre/dav": "~4.4.0",
        "sam152/javascript-equal-height-responsive-rows": "1.0.0",
        "sentry/sdk": "^3.3",
        "simile_timeline/simile_timeline": "2.3.0",
        "slm/mail": "^4.2",
        "smalot/pdfparser": "^2.11",
        "smarty/smarty": "^5.0",
        "steverhoades/oauth2-openid-connect-client": "^2.0.0",
        "studio-42/elfinder": "~2.1",
        "symfony/config": "~6.4.3",
        "symfony/console": "~6.4.3",
        "symfony/dependency-injection": "~6.4.3",
        "symfony/finder": "~6.4",
        "symfony/mime": "~6.4.3",
        "symfony/polyfill-ctype": "~1.8",
        "symfony/polyfill-iconv": "^1.27",
        "symfony/polyfill-intl-icu": "^1.27",
        "symfony/polyfill-mbstring": "^1.27",
        "symfony/polyfill-php82": "^1.28",
        "symfony/polyfill-php83": "^1.28",
        "symfony/process": "~6.4.3",
        "symfony/routing": "~6.4.3",
        "symfony/yaml": "~6.4.3",
        "teqneers/shamir": "^2.0.0",
        "thomaspark/bootswatch": "~5.1",
        "tijsverkoyen/css-to-inline-styles": "^2.2.0",
        "tikiwiki/ilp-client": "^1.0",
        "zbateson/mail-mime-parser": "^2.4",
        "zf1s/zend-service-akismet": "^1.15.2"
    },
    "require-dev": {
        "kint-php/kint": "^5.1.0",
        "kornrunner/dbunit": "^7.0.0",
        "mikey179/vfsstream": "^1",
        "overtrue/phplint": "^9.0.4",
        "phpcompatibility/php-compatibility": "^10.x-dev",
        "phpcsstandards/phpcsutils": "^1.0.0-alpha3",
        "phpstan/phpstan": "^1.10.57",
        "phpstan/phpstan-deprecation-rules": "^1.1.3",
        "phpunit/phpunit": "10.5.26",
        "php-webdriver/webdriver": "^1.15.1",
        "rector/rector": "~1.0.1",
        "sebastian/diff": "^5.1.1",
        "squizlabs/php_codesniffer": "^3.1",
        "stevegrunwell/phpunit-markup-assertions": "^1.4.0",
        "symfony/browser-kit": "~6.4.3",
        "symfony/http-client": "~6.4.15",
        "umakantp/smartylint": "0.1.4-p1"
    },
    "extra": {
        "patches-file": "../installer/composer-patches/composer-patches.json"
    },
    "replace": {
        "npm-asset/tslib": "*"
    },
    "config": {
        "process-timeout": 5000,
        "bin-dir": "../bin",
        "_comment": "platform-check CANNOT be enabled, because it would check the ext-* requirements of our dependencies not just ours.  See the workarounds below.  So anything that uses the autoloader, including console.php wouldn't work on a server without ext-soap installed.  Note that platform-check will NOT check the maximum php version anyway, even if we put it in our requires.  In platform, php: The oldest version we support, so composer doesn't pick packages that are incompatible with it (nothing to do with what is checked if we enable platform-check).  On the other hand: ext-*: 0 are workarounds.  ext-ldap is in the require of laminas/laminas-ldap. ext-soap is in the require of laminas/laminas-soap.  We couldn't composer install without this workaround if php-ldap or php-soap aren't installed",
        "platform-check": false,
        "platform": {
            "php": "8.1",
            "ext-ldap": "0",
            "ext-soap": "0",
            "ext-sockets": "0"
        },
        "secure-http": false,
        "allow-plugins": {
            "composer/installers": true,
            "oomphinc/composer-installers-extender": true,
            "cweagans/composer-patches": true,
            "dealerdirect/phpcodesniffer-composer-installer": true,
            "php-http/discovery": true
        },
        "audit": {
            "ignore": {
                "CVE-2024-24815": "Ignoring this vulnerability as work on this is in progress."
            }
        }
    },
    "autoload": {
        "psr-0": {
            "BOMChecker": "../lib/core/",
            "Category": "../lib/core/",
            "DeclFilter": "../lib/core/",
            "Feed": "../lib/core/",
            "H5P": "../lib/core/",
            "IDS": "../lib/core",
            "JitFilter": "../lib/core/",
            "Math": "../lib/core/",
            "Multilingual": "../lib/core/",
            "Perms": "../lib/core/",
            "Report": "../lib/core/",
            "Scheduler": "../lib/core/",
            "Search": "../lib/core/",
            "Services": "../lib/core/",
            "Table": "../lib/core/",
            "Tiki": "../lib/core/",
            "TikiDb": "../lib/core/",
            "TikiFilter": "../lib/core/",
            "Tracker": "../lib/core/",
            "Type": "../lib/core/",
            "WikiParser": "../lib/core/",
            "WikiPlugin": "../lib/core/",
            "Text": "vendor/pear/text_wiki_mediawiki/"
        },
        "psr-4": {
            "Tiki\\": [
                "../lib/core/Tiki",
                "../lib/core/"
            ],
            "Tiki\\Lib\\": "../lib/",
            "Tiki\\Lib\\Payment\\": "../lib/payment",
            "SmartyTiki\\": "../lib/smarty_tiki"
        },
        "classmap": [
            "../installer/",
            "../lib/language/",
            "../lib/openpgp/",
            "../lib/rating/formula/",
            "../lib/setup",
            "../lib/stats",
            "../lib/tikidate.php",
            "../lib/webmail",
            "../lib/calendar/calrecurrence.php",
            "vendor/adodb/adodb-php/",
            "vendor/h5p/h5p-core",
            "vendor/h5p/h5p-editor"
        ],
        "exclude-from-classmap": [
            "../lib/openpgp/OpenPGP_Zend_Mail_Transport_Smtp.php",
            "vendor/adodb/adodb-php/adodb-active-recordx.inc.php",
            "vendor/adodb/adodb-php/adodb-xmlschema03.inc.php",
            "vendor/adodb/adodb-php/drivers/adodb-ado5.inc.php",
            "vendor/adodb/adodb-php/drivers/adodb-db2ora.inc.php",
            "vendor/adodb/adodb-php/drivers/adodb-mysqlt.inc.php",
            "vendor/adodb/adodb-php/session/adodb-session2.php",
            "vendor/adodb/adodb-php/session/old/crypt.inc.php",
            "vendor/pear/text_wiki_mediawiki/Text/Wiki/Parse/***",
            "vendor/pear/text_wiki_mediawiki/Text/Wiki/Render/***",
            "vendor/pear/pear/./PEAR/Exception.php"
        ],
        "files": [
            "../src/php/autoload/autoload_constants.php"
        ]
    },
    "autoload-dev": {
        "classmap": [
            "../lib/test/"
        ]
    },
    "include-path": [
        "vendor/pear/text_wiki_mediawiki/"
    ],
    "scripts": {
        "pre-install-cmd": [
            "Tiki\\Composer\\ValidateVersion::validate",
            "Tiki\\Composer\\RestoreVendors::restore",
            "Tiki\\Composer\\CleanVendorAfterVendorBundledMigration::cleanLinks"
        ],
        "post-install-cmd": [
            "Tiki\\Composer\\ThemeInstaller::setup",
            "Tiki\\Composer\\BootstrapCompiler::build",
            "Tiki\\Composer\\CleanVendors::clean",
            "Tiki\\Composer\\CleanVendorAfterVendorBundledMigration::clean",
            "Tiki\\Composer\\GenerateIndexFiles::generate",
            "Tiki\\Composer\\PatchCypht::setup"
        ],
        "pre-update-cmd": [
            "Tiki\\Composer\\ValidateVersion::validate",
            "Tiki\\Composer\\RestoreVendors::restore",
            "Tiki\\Composer\\ThemeInstaller::setup",
            "Tiki\\Composer\\CleanVendorAfterVendorBundledMigration::cleanLinks"
        ],
        "post-update-cmd": [
            "Tiki\\Composer\\BootstrapCompiler::build",
            "Tiki\\Composer\\CleanVendors::clean",
            "Tiki\\Composer\\CleanVendorAfterVendorBundledMigration::clean",
            "Tiki\\Composer\\PatchCypht::setup"
        ],
        "test": "php ../lib/test/phpunit.php -c phpunit.xml.dist --colors=always"
    },
    "repositories": {
        "tiki.org": {
            "type": "composer",
            "url": "https://composer.tiki.org",
            "canonical": true
        },
        "asset-packagist.org": {
            "type": "composer",
            "url": "https://asset-packagist.org"
        }
    }
}
